---
agent: ${defaultAgentName}
description: Produce test coverage
---

Parameters:
- Task: the task to perform
- Seed file (optional): the seed file to use, defaults to `${seedFile}`
- Test plan file (optional): the test plan file to write, under `specs/` folder.

1. Call #playwright-test-planner subagent with prompt:

<plan>
  <task-text></task-text>
  <seed-file></seed-file>
  <plan-file></plan-file>
</plan>

2. For each test case from the test plan file (1.1, 1.2, ...), one after another, not in parallel, call #playwright-test-generator subagent with prompt:

<generate>
  <test-suite></test-suite>
  <test-name></test-name>
  <test-file></test-file>
  <seed-file></seed-file>
  
</generate>

3. Call #playwright-test-healer subagent with prompt:

<heal>Run all tests and fix the failing ones one after another.</heal>
